org.apache.storm.generated

## Class ComponentObject

- java.lang.Object
- - org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>
  - - org.apache.storm.generated.ComponentObject

- All Implemented Interfaces:
    Serializable, Comparable<ComponentObject>, org.apache.storm.thrift.TBase<ComponentObject,ComponentObject._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class ComponentObject
      extends org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentObject._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ComponentObject._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

    - ### Fields inherited from class org.apache.storm.thrift.TUnion

      `setField_, value_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentObject()`
    `ComponentObject(ComponentObject._Fields setField, Object value)`
    `ComponentObject(ComponentObject other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `buffer_for_serialized_java()`
    `protected void` | `checkType(ComponentObject._Fields setField, Object value)`
    `int` | `compareTo(ComponentObject other)`
    `ComponentObject` | `deepCopy()`
    `protected ComponentObject._Fields` | `enumForId(short id)`
    `boolean` | `equals(ComponentObject other)`
    `boolean` | `equals(Object other)`
    `ComponentObject._Fields` | `fieldForId(int fieldId)`
    `JavaObject` | `get_java_object()`
    `byte[]` | `get_serialized_java()`
    `ShellComponent` | `get_shell()`
    `protected org.apache.storm.thrift.protocol.TField` | `getFieldDesc(ComponentObject._Fields setField)`
    `protected org.apache.storm.thrift.protocol.TStruct` | `getStructDesc()`
    `int` | `hashCode()`
    `boolean` | `is_set_java_object()`
    `boolean` | `is_set_serialized_java()`
    `boolean` | `is_set_shell()`
    `static ComponentObject` | `java_object(JavaObject value)`
    `static ComponentObject` | `serialized_java(byte[] value)`
    `static ComponentObject` | `serialized_java(ByteBuffer value)`
    `void` | `set_java_object(JavaObject value)`
    `void` | `set_serialized_java(byte[] value)`
    `void` | `set_serialized_java(ByteBuffer value)`
    `void` | `set_shell(ShellComponent value)`
    `static ComponentObject` | `shell(ShellComponent value)`
    `protected Object` | `standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field)`
    `protected void` | `standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`
    `protected Object` | `tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID)`
    `protected void` | `tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class org.apache.storm.thrift.TUnion

      `clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ComponentObject._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ComponentObject

          public ComponentObject()

    - #### ComponentObject

          public ComponentObject(ComponentObject._Fields setField,
                                 Object value)

    - #### ComponentObject

          public ComponentObject(ComponentObject other)

  - ### Method Detail

    - #### deepCopy

          public ComponentObject deepCopy()

    - #### serialized_java

          public static ComponentObject serialized_java(ByteBuffer value)

    - #### serialized_java

          public static ComponentObject serialized_java(byte[] value)

    - #### shell

          public static ComponentObject shell(ShellComponent value)

    - #### java_object

          public static ComponentObject java_object(JavaObject value)

    - #### checkType

          protected void checkType(ComponentObject._Fields setField,
                                   Object value)
                            throws ClassCastException

      Specified by:
        `checkType` in class `org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>`
      Throws:
        `ClassCastException`

    - #### standardSchemeReadValue

          protected Object standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot,
                                                   org.apache.storm.thrift.protocol.TField field)
                                            throws org.apache.storm.thrift.TException

      Specified by:
        `standardSchemeReadValue` in class `org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### standardSchemeWriteValue

          protected void standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)
                                           throws org.apache.storm.thrift.TException

      Specified by:
        `standardSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### tupleSchemeReadValue

          protected Object tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot,
                                                short fieldID)
                                         throws org.apache.storm.thrift.TException

      Specified by:
        `tupleSchemeReadValue` in class `org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### tupleSchemeWriteValue

          protected void tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)
                                        throws org.apache.storm.thrift.TException

      Specified by:
        `tupleSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### getFieldDesc

          protected org.apache.storm.thrift.protocol.TField getFieldDesc(ComponentObject._Fields setField)

      Specified by:
        `getFieldDesc` in class `org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>`

    - #### getStructDesc

          protected org.apache.storm.thrift.protocol.TStruct getStructDesc()

      Specified by:
        `getStructDesc` in class `org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>`

    - #### enumForId

          protected ComponentObject._Fields enumForId(short id)

      Specified by:
        `enumForId` in class `org.apache.storm.thrift.TUnion<ComponentObject,ComponentObject._Fields>`

    - #### fieldForId

          public ComponentObject._Fields fieldForId(int fieldId)

    - #### get_serialized_java

          public byte[] get_serialized_java()

    - #### buffer_for_serialized_java

          public ByteBuffer buffer_for_serialized_java()

    - #### set_serialized_java

          public void set_serialized_java(byte[] value)

    - #### set_serialized_java

          public void set_serialized_java(ByteBuffer value)

    - #### get_shell

          public ShellComponent get_shell()

    - #### set_shell

          public void set_shell(ShellComponent value)

    - #### get_java_object

          public JavaObject get_java_object()

    - #### set_java_object

          public void set_java_object(JavaObject value)

    - #### is_set_serialized_java

          public boolean is_set_serialized_java()

    - #### is_set_shell

          public boolean is_set_shell()

    - #### is_set_java_object

          public boolean is_set_java_object()

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ComponentObject other)

    - #### compareTo

          public int compareTo(ComponentObject other)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.